# Enum Class VulkanClearValueType.VulkanClearValueColorType.ColorType

java.lang.Object
java.lang.Enum<VulkanClearValueType.VulkanClearValueColorType.ColorType>
com.io7m.jcoronado.api.VulkanClearValueType.VulkanClearValueColorType.ColorType

All Implemented Interfaces:
  `Serializable`, `Comparable<VulkanClearValueType.VulkanClearValueColorType.ColorType>`, `Constable`

Enclosing interface:
  `VulkanClearValueType.VulkanClearValueColorType`

public static enum VulkanClearValueType.VulkanClearValueColorType.ColorType extends Enum<VulkanClearValueType.VulkanClearValueColorType.ColorType>
The actual type of clea value.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COLOR_FLOATING_POINT`
  A color consisting of floating-point components.
  `COLOR_INTEGER_SIGNED`
  A color consisting of signed integer components.
  `COLOR_INTEGER_UNSIGNED`
  A color consisting of unsigned integer components.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanClearValueType.VulkanClearValueColorType.ColorType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanClearValueType.VulkanClearValueColorType.ColorType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COLOR_INTEGER_SIGNED

    public static final VulkanClearValueType.VulkanClearValueColorType.ColorType COLOR_INTEGER_SIGNED
    A color consisting of signed integer components.

  - ### COLOR_INTEGER_UNSIGNED

    public static final VulkanClearValueType.VulkanClearValueColorType.ColorType COLOR_INTEGER_UNSIGNED
    A color consisting of unsigned integer components.

  - ### COLOR_FLOATING_POINT

    public static final VulkanClearValueType.VulkanClearValueColorType.ColorType COLOR_FLOATING_POINT
    A color consisting of floating-point components.

- ## Method Details

  - ### values

    public static VulkanClearValueType.VulkanClearValueColorType.ColorType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanClearValueType.VulkanClearValueColorType.ColorType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null